import { SimpleLocalIntegration } from '../../core/index.js';
import { AveaConfigFlow } from './avea.classes.configflow.js';
import { createAveaDiscoveryDescriptor } from './avea.discovery.js';
import type { IAveaConfig } from './avea.types.js';
import { aveaDomain, aveaProfile } from './avea.types.js';

export class AveaIntegration extends SimpleLocalIntegration<IAveaConfig> {
  public readonly domain = aveaDomain;
  public readonly discoveryDescriptor = createAveaDiscoveryDescriptor();
  public readonly configFlow = new AveaConfigFlow();

  constructor() {
    super(aveaProfile);
  }
}

export class HomeAssistantAveaIntegration extends AveaIntegration {}
